import 'package:flutter/material.dart';
import 'package:foundation_fluttify/foundation_fluttify.dart';
import 'package:nim_fluttify/nim_fluttify.dart';
import 'package:oktoast/oktoast.dart';
import 'package:permission_handler/permission_handler.dart';

import 'src/nim.screen.dart';

void main() async {
  WidgetsFlutterBinding.ensureInitialized();
  await enableFluttifyLog(true);
  await Nim.instance.init(请填入你的appkey);

  runApp(MyApp());

  Permission.storage.request();
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  Widget build(BuildContext context) {
    return OKToast(
      child: MaterialApp(
        home: NimScreen(),
      ),
    );
  }
}
